<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHP-Fusion.us
| Dev: PHPFusionMods.org
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES . "templates/header.php";
include INFUSIONS . "video/infusion_db.php";
require_once INCLUDES . "bbcode_include.php";
include "inc.php";

$access = 0;
$count  = 1;
$columns = 3;

$submit = "";

if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) {
    $_GET['rowstart'] = 0;
}
$tvids = dbcount("(cat_id)", DB_VIDEO);
opentable($locale['latest-videos']);
echo "<div style='max-width: 1000px; margin: 0 auto'>";
echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='100%'>\n";
echo "<tr><td class='tbl2' width='50%' style='vertical-align: middle;'>";
echo "<img src='images/cat_images/cat1.png' alt='' style='border:0; width: 57px; height: 32px; vertical-align:middle; float: left; margin-right: 5px;' />\n";
echo "<span style='font-size: 15px; font-weight: bold;'>{$locale['latest-videos']}</span><br />";
echo "<span style='font-size: 10px; font-weight: bold;'>{$locale['v_tot']} " . number_format($tvids) . "</span>";
echo "</td>\n<td class='tbl2' width='50%'>";
echo "<div style='text-align:right'><form name='search_video' action='search.php' method='get' enctype='application/x-www-form-urlencoded'>";
echo "<input type='text' name='find' style='width:150px' class='textbox'>&ensp;";
echo "<input type='submit' class='button' value='{$locale['s_button']}'>";
echo "</form></div>";
echo "</td>\n</tr>\n</table>";
include_once "nav.php";
echo "<table cellpadding='0' cellspacing='0' class='tbl-border center' width='100%'>\n";
echo "<tr><td class='tbl2' width='100%' style='vertical-align: middle;'>";
add_to_head('<script src="http://jwpsrv.com/library/7zlM1FqoEeOclyIACqoGtw.js"></script>');
echo "<div id='playerHAsUzvFiDRmi'></div>
<script type='text/javascript'>
    jwplayer('playerHAsUzvFiDRmi').setup({
        file: 'https://www.youtube.com/watch?v=wTcNtgA6gHs',
        image: '//www.longtailvideo.com/content/images/jw-player/lWMJeVvV-876.jpg',
        title: 'Welcome to Video Infusion v4',
        width: '100%',
        aspectratio: '16:9',
        primary: 'flash'
    });
</script>";
echo "</td>\n</tr>\n</table>";
$result = dbquery("SELECT v.*, vc.*, u.user_id, u.user_name, SUM(tr.rating_vote) AS sum_rating, COUNT(tr.rating_item_id) AS count_votes FROM " . DB_VIDEO . " v
LEFT JOIN " . DB_VIDEO_CAT . " vc ON v.cat_id=vc.cat_id
LEFT JOIN " . DB_USERS . " u ON u.user_id=v.uid
LEFT JOIN " . DB_RATINGS . " tr ON tr.rating_item_id = v.id AND tr.rating_type='V'
WHERE " . groupaccess('vc.cat_access') . " GROUP BY v.id ORDER BY time DESC LIMIT 0,12");
$rows   = dbrows($result);
$rows2  = dbcount("(id)", DB_VIDEO . " WHERE views > 0");
if ($rows) {
    $counter = 0;
    $count   = 1;
    echo "<table cellpadding='0' cellspacing='1' width='100%' class='center'>\n";
    echo "<tr><td>";
    echo "<table cellpadding='0' cellspacing='0' class='tbl-border center' width='100%'>\n<tr>";
    while ($data = dbarray($result)) {
        if ($counter != 0 && ($counter % $columns == 0)) {
            echo "</tr>\n<tr>\n";
        }
        echo "<td valign='top' class='tbl' style='padding: 0; width: 33%'>";
        echo "<table cellpadding='0' cellspacing='0' width='100%' class='center'>\n";
        echo "<tr><td colspan='3' class='tbl'>";
        echo "<a href='video.php?id=" . $data['id'] . "'>" . trimlink($data['name'], 35) . "</a>\n";
        echo "</td></tr>";
        echo "<tr><td rowspan='2' class='tbl' valign='top'>";
        echo "<a href='video.php?id=" . $data['id'] . "'>";
        if ($data['video_type'] == "youtube" && $data['url']) {
            echo "<img src='http://img.youtube.com/vi/{$data['url']}/0.jpg' alt='' style='border:0; width: 220px; height: 124px;' />\n";
        } elseif (!empty($data['file_image_thumb']) && file_exists("images/" . $data['file_image_thumb'])) {
            echo "<img src='images/" . $data['file_image_thumb'] . "' alt='' style='border:0; width: 220px; height: 124px;' />\n";
        } else {
            echo "<img src='images/cat_images/cat1.png' alt='' style='border:0; width: 220px; height: 124px;' />\n";
        }
        echo "</a></td></tr></table>";
        echo "</td>\n";
        $counter++;
        $count++;
    }
    echo "</tr>\n</table>\n";
    echo "</td><td valign='top' style='width: 160px; padding: 8px;'>";
    $result = dbquery("SELECT * FROM " . DB_VIDEO_CAT . " WHERE cat_parent = '0' AND " . groupaccess('cat_access') . " ORDER BY cat_name ASC");
    $tvids  = dbcount("(cat_id)", DB_VIDEO);
    if (dbrows($result)) {
        while ($data=dbarray($result)) {
            if (!empty($data['cat_image']) && file_exists("images/cat_images/" . $data['cat_image'])) {
                $cimage = $data['cat_image'];
            } else {
                $cimage = "cat1.png";
            }
            echo "<img src='images/cat_images/{$cimage}' alt='' style='text-align: left; width: 26px; height: 15px;' /><a href='cats.php?cat_id=2' style='display:inline'>".$data['cat_name']."</a><hr class='side-hr'>";
        }
    }
    echo "</td></tr></table>";
} else {
    echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='100%'>\n<tr>\n";
    echo "<td class='forum-caption' style='text-align:center; padding: 10px;'>" . $locale['no_rated_videos'] . "</td>";
    echo "</tr></table>";
}
footer();
echo "</div>";
closetable();

require_once THEMES . "templates/footer.php";

?>